Subject: Re: [PATCH 2/2] check-attr: move to the top of working tree when in non-bare repository

From: Michael Haggerty <[email-masked]>
Date: Sun, 16 Feb 2014 12:15:22 +0100

On 02/06/2014 09:17 PM, Jonathan Nieder wrote:
> How do I use the only-look-at-HEAD mode from a non-bare repo?  If I
> want attributes with respect to some other commit instead of HEAD, is
> there a syntax for that?  The command doesn't seem to have been well
> thought out.

I agree that it would be nice for "git check-attr" to handle this case.
 Currently, I believe that one has to resort to a temporary index file
via something like

    (
        export GIT_INDEX_FILE="$(mktemp)"
        git read-tree HEAD
        git check-attr --cached ...
        rm "$GIT_INDEX_FILE"
    )

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/